Create a new Debicheck Collection from an existing Debicheck Mandate
Field descriptions:
mandateId: The identifier for the mandate used for this collection.
mandateReferenceNumber: The bank reference number for the mandate used for this collection. This should only be specified if this mandate has already been authorised by the bank and creditor/client.
collectionDate: The date on which to action this collection.
trackingPeriod: The number of days to track this debicheck collection (max 10). This field can only be set if traking is enabled on the mandate.
amountCents: The amount (cents) to collect.
debitSequence: The debit sequence for this collection. Use FRST if this is a explicit "first" collection for this mandate, otherwise this value should match the debit sequence on the mandate.
Accepted values: FRST, OOFF, RCUR.
externalReference: A unique reference, which can later be queried for this collection. If this value is not unique you will get a HTTP 400 response ("Collection with this external reference already exists")
BearerAuthorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
X-Forwarded-For?string- body
mandateId?string|nullmandateReferenceNumber?string|nullcollectionDate?stringdate-timetrackingPeriod?|int32amountCents?integerint64debitSequence?DebitSequence"FRST""OOFF""RCUR""RPRE"externalReference?string|nulloverrideCreditorName?string|nullCreated
application/json- response
mandateReferenceNumber?|length <= 22trackingPeriod?integerint320 <= value <= 10debitSequence?DebitSequence"FRST""OOFF""RCUR""RPRE"disputeReconReference?string|nullbankservSettlementDate?|date-timeoverrideCreditorName?string|nullid?stringuuidreferenceNumber?|length <= 34externalReference?string|nullreconReference?string|nullsubmissionDate?stringdate-timecollectionDate*stringdate-timecycleDate?|date-timeabbreviatedName*string^[a-zA-Z0-9\- ]*$1 <= length <= 10profileCode*string1 <= lengthentryClass*string1 <= lengthcontractReference*string^[a-zA-Z0-9.\-,()%+\$;=@\?\:\~\/]*$1 <= length <= 14state?CollectionState"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"amountCents*integerint640 < valuecurrency*stringZAR1 <= lengthultimateCreditor?sequenceNumber?|int64userGenerationNumber?|int64debtor*creditor*createdAt?stringdate-timeclientId?string|nullstatementId?string|nullsettlementId?string|nullunpaidStatementId?string|nulloriginalCollectionDate?|date-timemandateId?string|nullbulkUploadId?|uuidrecourseSettlementId?|uuidcurl -X POST 'https://www.api.revio.co.za/v2/collection/debicheck/from_mandate' \ -H 'Content-Type: application/json' \ -d '{}'{ "mandateReferenceNumber": "string", "trackingPeriod": 0, "debitSequence": "FRST", "disputeReconReference": "string", "bankservSettlementDate": "2019-08-24T14:15:22Z", "overrideCreditorName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "referenceNumber": "string", "externalReference": "string", "reconReference": "string", "submissionDate": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24T14:15:22Z", "cycleDate": "2019-08-24T14:15:22Z", "abbreviatedName": "string", "profileCode": "string", "entryClass": "string", "contractReference": "string", "state": "NEW", "amountCents": 1, "currency": "string", "ultimateCreditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "sequenceNumber": 0, "userGenerationNumber": 0, "debtor": { "accountNumber": "string", "accountType": "CURRENT", "bank": "string", "branchCode": "string", "firstName": "string", "lastName": "string", "identification": { "emailAddress": "string", "idNumber": "string", "phoneNumber": "string", "passportNumber": "string" } }, "creditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "createdAt": "2019-08-24T14:15:22Z", "clientId": "string", "statementId": "string", "settlementId": "string", "unpaidStatementId": "string", "originalCollectionDate": "2019-08-24T14:15:22Z", "mandateId": "string", "bulkUploadId": "42e0fc60-487e-4aa1-9223-1fd9ecaeff6a", "recourseSettlementId": "135e908a-0af2-4a80-b0e3-b66befc5d4c1"}